## net.i2p.router.networkdb.kademlia
Class FloodfillNetworkDatabaseFacade

    java.lang.Object
      net.i2p.router.NetworkDatabaseFacade
          net.i2p.router.networkdb.kademlia.KademliaNetworkDatabaseFacade
              net.i2p.router.networkdb.kademlia.FloodfillNetworkDatabaseFacade

All Implemented Interfaces:
  Service

public class FloodfillNetworkDatabaseFacade
extends KademliaNetworkDatabaseFacade

Field Summary
`static char` `CAPACITY_FLOODFILL`

Fields inherited from class net.i2p.router.networkdb.kademlia.KademliaNetworkDatabaseFacade
`_context, _log, _peerSelector, DEFAULT_DB_DIR, MAX_LEASE_FUTURE, PROP_DB_DIR, PROP_ENFORCE_NETID`

Constructor Summary
`FloodfillNetworkDatabaseFacade(RouterContext context)`

Method Summary
`protected void` `createHandlers()`
`protected PeerSelector` `createPeerSelector()`
`void` `flood(DataStructure ds)`
`boolean` `floodfillEnabled()`
`static boolean` `floodfillEnabled(RouterContext ctx)`
`static boolean` `isFloodfill(RouterInfo peer)`
`void` `publish(RouterInfo localRouterInfo)`
`void` `sendStore(Hash key, DataStructure ds, Job onSuccess, Job onFailure, long sendTimeout, java.util.Set toIgnore)`

Methods inherited from class net.i2p.router.networkdb.kademlia.KademliaNetworkDatabaseFacade

`fail, findNearestRouters, getAllRouters, getDataStore, getDbDir, getExplicitSendKeys, getExploreKeys, getKBuckets, getKnownLeaseSets, getKnownRouters, getLastExploreNewDate, getLastSent, getPassivelySendKeys, getPeerSelector, getPeerTimeout, lookupLeaseSet, lookupLeaseSetLocally, lookupRouterInfo, lookupRouterInfoLocally, noteKeySent, publish, queueForExploration, queueForPublishing, removeFromExplicitSend, removeFromExploreKeys, removeFromPassiveSend, renderStatusHTML, restart, search, searchComplete, setLastExploreNewDate, shutdown, startup, stopPublishing, store, store, unpublish, validate, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CAPACITY_FLOODFILL

    public static final char CAPACITY_FLOODFILL

See Also:
  Constant Field Values

Constructor Detail

### FloodfillNetworkDatabaseFacade

    public FloodfillNetworkDatabaseFacade(RouterContext context)

Method Detail

### createHandlers

    protected void createHandlers()

  Overrides:
    `createHandlers` in class `KademliaNetworkDatabaseFacade`

### publish

    public void publish(RouterInfo localRouterInfo)
                 throws java.lang.IllegalArgumentException

  Overrides:
    `publish` in class `KademliaNetworkDatabaseFacade`
  Throws:
    `java.lang.IllegalArgumentException` - if the local router info is invalid

### sendStore

    public void sendStore(Hash key,
                          DataStructure ds,
                          Job onSuccess,
                          Job onFailure,
                          long sendTimeout,
                          java.util.Set toIgnore)

  Overrides:
    `sendStore` in class `KademliaNetworkDatabaseFacade`

### flood

    public void flood(DataStructure ds)

### createPeerSelector

    protected PeerSelector createPeerSelector()

  Overrides:
    `createPeerSelector` in class `KademliaNetworkDatabaseFacade`

### floodfillEnabled

    public boolean floodfillEnabled()

### floodfillEnabled

    public static boolean floodfillEnabled(RouterContext ctx)

### isFloodfill

    public static boolean isFloodfill(RouterInfo peer)